package com.ssj.service.kmt.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class ExerciseBookUnitDto extends ExerciseBookBaseDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private List<ExerciseBookBaseDto> periods = new ArrayList<>();

    private int index;

    public List<ExerciseBookBaseDto> getPeriods() {
        return periods;
    }

    public void setPeriod(List<ExerciseBookBaseDto> periods) {
        this.periods = periods;
    }

    public void addPeriod (ExerciseBookBaseDto period){
        this.periods.add(period);
    }


    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}
